[jira] Created: (CAMEL-1253) camel-xslt endpoint should support set the transformer factory

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[jira] Created: (CAMEL-1253) camel-xslt endpoint should support set the transformer factory

JIRA jira@apache.org
camel-xslt endpoint should support set the transformer factory
--------------------------------------------------------------

                 Key: CAMEL-1253
                 URL: https://issues.apache.org/activemq/browse/CAMEL-1253
             Project: Apache Camel
          Issue Type: Improvement
          Components: camel-spring
            Reporter: Willem Jiang
            Assignee: Willem Jiang
             Fix For: 1.5.1, 2.0.0


Current Camel xlst component can't change the TransformerFactory according to the URI, if the user don't want to use the JDK's default TransformerFactory or there are no XLST package shipped in the JRE, the XSLT component can't work as we want.

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Resolved: (CAMEL-1253) camel-xslt endpoint should support set the transformer factory

JIRA jira@apache.org

     [ https://issues.apache.org/activemq/browse/CAMEL-1253?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Willem Jiang resolved CAMEL-1253.
---------------------------------

    Resolution: Fixed

Also updated the wiki page.
http://cwiki.apache.org/confluence/display/CAMEL/XSLT

> camel-xslt endpoint should support set the transformer factory
> --------------------------------------------------------------
>
>                 Key: CAMEL-1253
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-1253
>             Project: Apache Camel
>          Issue Type: Improvement
>          Components: camel-spring
>            Reporter: Willem Jiang
>            Assignee: Willem Jiang
>             Fix For: 1.5.1, 2.0.0
>
>
> Current Camel xlst component can't change the TransformerFactory according to the URI, if the user don't want to use the JDK's default TransformerFactory or there are no XLST package shipped in the JRE, the XSLT component can't work as we want.

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.